Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
CDPCloud Portal
Sitecore CDP Developer Documentation
  • Developing with Sitecore CDP
    • Base URL
    • Response codes
    • REST API Guest v2.1
    • REST API Guest data extension v2.1
    • REST API Order v2.1
    • REST API Order contact v2.1
    • REST API Order consumer v2.1
    • REST API Order data extension v2.1
    • REST API Order item data extension v2.1
    • REST API Audience export
            • Create an order consumer (legacy)
            • Retrieve order consumer references (legacy)
            • Retrieve an order consumer (legacy)
            • Update an order consumer (legacy)
  1. Order consumer REST API v2 (legacy)
  1. REST APIs
  2. Legacy REST APIs
  3. Order consumer REST API v2 (legacy)
  4. Create an order consumer (legacy)

Create an order consumer (legacy)

Important

A newer version of this REST API (v2.1) is available. If you're new to this REST API, use the new version. Alternatively, if you're already using the old version, read about the differences between v2 and v2.1 so you can upgrade.

POST /v2/orders/<orderRef>/consumers

Creates a consumer on an order.

Attribute

Type

Description

Example

orderRef

string

The reference of the order.

If you do not know the order reference, first retrieve orders.

d680c9be-4c07-4731-857e-9602034b15f2

At a minimum, you must provide the following required attributes in the request body:

Attribute

Type

Description

Example

firstName

string (title case recommended)

The first name of the order consumer.

"John"

lastName

string (title case recommended)

The last name of the order consumer.

"Doe"

In the response, ref contains the order consumer reference.

curl -X POST <baseURL>/v2/orders/d680c9be-4c07-4731-857e-9602034b15f2/consumers' \
-u '<username>:<password>' \
-H 'Accept: application/json' \
--data-raw '{
    "title": "Mr",
    "firstName": "John",
    "lastName": "Doe",
    "gender": "male",
    "guest": {
       "href": "<baseURL>/v2/guests/567A697E-4E79-4F2C-96D1-A7249A44744F"
    },
    "orderItems": {
       "items" : [{
            "href": "<baseURL>/v2/orderItems/FECBB7ED-6DFE-4E8C-85A9-B894B17EF4F3"
         }]
    }
}'
{
    "href": "<baseURL>/v2/orderConsumers/C439E8B9-53F3-48BB-BD98-EE3657416FBE",
    "ref": "C439E8B9-53F3-48BB-BD98-EE3657416FBE",
    "createdAt": "2025-08-15T16:00:55.554Z",
    "modifiedAt": "2025-08-21T16:00:51.882Z",
    "title": "Mr",
    "firstName": "John",
    "lastName": "Doe",
    "gender": "male",
    "guest": {
       "href": "<baseURL>/v2/guests/567A697E-4E79-4F2C-96D1-A7249A44744F"
    },
    "orderItems": {
       "items" : [{
             "href": "<baseURL>/v2/orderItems/FECBB7ED-6DFE-4E8C-85A9-B894B17EF4F3"
        }]
   },
    "order": {
       "href": "<baseURL>/v2/orders/056621C2-C955-492D-B7EE-C77C6BDDFDEE"
    }
}
If you have suggestions for improving this article, let us know!

Documentation Assistant

This assistant uses AI to generate responses based on Sitecore documentation. While it has access to official sources, answers may be incomplete or inaccurate and should not be considered official advice or support.
Powered by
k
kapa.ai
Protected by reCAPTCHA

© Copyright 2026, Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use